@use 'sass/color';
@use 'sass/size';
@use 'sass/base';

.right-container {
  .grid {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    .energy-tariff,
    .bar-chart {
      max-width: 100%;
    }
  }
}

.cost-for-wind-turbine-foundation {
  .radio-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
    gap: 0.5 * size.$gap;
    margin: 0.5 * size.$gap 0;
  }
}

.energy-tariff {
  .title {
    position: relative;
    .error {
      display: contents;
    }
  }
  .body {
    width: 100%;
    height: calc(100% - 48px - 2 * #{size.$gap});
    margin-top: 3em;
    position: relative;
    table > tbody {
      display: block;
      max-width: calc(100% - 6.5em);
      width: calc(100% - 6.5em);
      position: absolute;
      left: 5.75em;
      top: -3em;
      tr {
        display: flex;
        flex-flow: row nowrap;
        justify-content: stretch;
        max-width: 100%;
        width: 100%;
        height: 3em;
        td {
          flex: 1;
          position: relative;
          .mat-form-field {
            margin: 0 2px;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            input {
              text-align: center;
            }
          }
        }
      }
    }
    .chart {
      width: 100%;
      height: 100%;
    }
  }
}
